package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class Mulsify extends BaseDevMode{

    public Mulsify(){

        this.setMode(WorkModes.MULSIFY);


        this.setMaxMotorWithTemp(4);

        //时间
        this.setDefaultTime(3 * 60);
        this.setMaxTime(10  * 60);
        this.setMinTime(30);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(4);
        this.setMinMotorGear(1);
        this.setMaxMotorGear(4);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(false);
        this.setMotorDirection(MotorDirections.FORWARD);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(37);
        this.setTempChange(true);
    }


}
